package hw.tagApi.service.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import hw.tagApi.common.annotation.Excel;
import hw.tagApi.common.core.domain.BaseEntity;

/**
 * 标签记录对象 hw_tag_record
 * 
 * @author Yinq
 * @date 2025-04-15
 */
public class HwTagRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识,RID */
    private Long rId;

    /** TID */
    @Excel(name = "TID")
    private String tId;

    /** EPC */
    @Excel(name = "EPC")
    private String epc;

    /** 密码（预留字段） */
    @Excel(name = "密码", readConverterExp = "预=留字段")
    private String password;

    /** 订单号，LOT */
    @Excel(name = "订单号，LOT")
    private String orderCode;

    /** 批次编号,卷编号 */
    @Excel(name = "批次编号,卷编号")
    private String batchNumber;

    /** 标签序号,序号 */
    @Excel(name = "标签序号,序号")
    private String tagSequence;

    /** 总数量,本卷数量 */
    @Excel(name = "总数量,本卷数量")
    private Long totalQuantity;

    /** 标签批次号（预留字段） */
    @Excel(name = "标签批次号")
    private String tagBatch;

    /** 型号,导入提供 */
    @Excel(name = "型号,导入提供")
    private String modelCode;

    /** 加工时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "加工时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date processingTime;

    /** 操作人员编号,生产人员编号 */
    @Excel(name = "操作人员编号,生产人员编号")
    private String operatorId;

    /** 数据状态标记 */
    private Integer delFlag;

    /** 预留字段1 */
//    @Excel(name = "预留字段1")
    private String fields1;

    /** 预留字段2 */
//    @Excel(name = "预留字段2")
    private String fields2;

    /** 预留字段3 */
//    @Excel(name = "预留字段3")
    private String fields3;

    /**
     * 查询开始日期
     */
    private String startDate;

    /**
     * 查询结束日期
     */
    private String endDate;

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public void setrId(Long rId)
    {
        this.rId = rId;
    }

    public Long getrId() 
    {
        return rId;
    }

    public void settId(String tId) 
    {
        this.tId = tId;
    }

    public String gettId() 
    {
        return tId;
    }

    public void setEpc(String epc) 
    {
        this.epc = epc;
    }

    public String getEpc() 
    {
        return epc;
    }

    public void setPassword(String password) 
    {
        this.password = password;
    }

    public String getPassword() 
    {
        return password;
    }

    public void setOrderCode(String orderCode) 
    {
        this.orderCode = orderCode;
    }

    public String getOrderCode() 
    {
        return orderCode;
    }

    public void setBatchNumber(String batchNumber) 
    {
        this.batchNumber = batchNumber;
    }

    public String getBatchNumber() 
    {
        return batchNumber;
    }

    public void setTagSequence(String tagSequence) 
    {
        this.tagSequence = tagSequence;
    }

    public String getTagSequence() 
    {
        return tagSequence;
    }

    public void setTotalQuantity(Long totalQuantity) 
    {
        this.totalQuantity = totalQuantity;
    }

    public Long getTotalQuantity() 
    {
        return totalQuantity;
    }

    public void setTagBatch(String tagBatch) 
    {
        this.tagBatch = tagBatch;
    }

    public String getTagBatch() 
    {
        return tagBatch;
    }

    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }

    public void setProcessingTime(Date processingTime) 
    {
        this.processingTime = processingTime;
    }

    public Date getProcessingTime() 
    {
        return processingTime;
    }

    public void setOperatorId(String operatorId) 
    {
        this.operatorId = operatorId;
    }

    public String getOperatorId() 
    {
        return operatorId;
    }

    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    public void setFields1(String fields1) 
    {
        this.fields1 = fields1;
    }

    public String getFields1() 
    {
        return fields1;
    }

    public void setFields2(String fields2) 
    {
        this.fields2 = fields2;
    }

    public String getFields2() 
    {
        return fields2;
    }

    public void setFields3(String fields3) 
    {
        this.fields3 = fields3;
    }

    public String getFields3() 
    {
        return fields3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rId", getrId())
            .append("tId", gettId())
            .append("epc", getEpc())
            .append("password", getPassword())
            .append("orderCode", getOrderCode())
            .append("batchNumber", getBatchNumber())
            .append("tagSequence", getTagSequence())
            .append("totalQuantity", getTotalQuantity())
            .append("tagBatch", getTagBatch())
            .append("modelCode", getModelCode())
            .append("processingTime", getProcessingTime())
            .append("operatorId", getOperatorId())
            .append("delFlag", getDelFlag())
            .append("fields1", getFields1())
            .append("fields2", getFields2())
            .append("fields3", getFields3())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
