package hw.tagApi.service.service;

import hw.tagApi.service.domain.ApiContent;

import java.util.List;

/**
 * 云文档服务接口
 *
 * @author Yinq
 * @date 2025-04-15
 */
public interface IKDocsService {
    
    /**
     * 获取系统状态
     *
     * @return 系统状态
     */
    String getSystemStatus();

    /**
     * 导入数据List
     *
     * @param content 待导入的数据
     * @return 导入结果
     */
    List<ApiContent> importDataList(List<ApiContent> content);

    /**
     * 导出数据
     *
     * @param query 导出条件
     * @return 导出结果
     */
    String exportData(String query);

    /**
     * 查询数据
     * 
     * @param content 查询条件列表
     * @return 查询结果列表
     */
    List<ApiContent> queryDataList(List<ApiContent> content);
}
